Subject: Re: [PATCH v6 net-next 01/14] pds_core: initial framework for pds_core PF driver

From: Jakub Kicinski <[email-masked]>
Date: Tue, 28 Mar 2023 15:17:00 -0700

On Mon, 27 Mar 2023 23:19:28 -0700 Shannon Nelson wrote:
> > What are you "abstracting away", exactly? Which "later patch"?
> > I'm not going to read the 5k LoC submission to figure out what
> > you're trying to say :(  
> 
> I'm saying that more code is added in later patches around the 
> devlink_register() for the health (patch 4) and parameters (patch 11). 
> This allows me to have a simple line in the main probe logic that does 
> the devlink-register related things, and then have the details collected 
> together off to the side.

It's not supposed to be off to the side, that's my point.
It's a central interface for device control.

> Obviously, when I update the code for using the devl_* interfaces and 
> explicit locking, those two patches will change a little.